digiKam Developer Documentation: Digikam::StackedView Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | List of all members
Digikam::StackedView Class Reference
Inheritance diagram for Digikam::StackedView:

## Public Types
enum | StackedViewMode { StackedViewModeFirst = 0 , IconViewMode = 0 , PreviewImageMode = 1 , WelcomePageMode = 2 , TableViewMode = 3 , TrashViewMode = 4 , MapWidgetMode = 5 , MediaPlayerMode = 6 , StackedViewModeLast = 6 }

## Signals
void | signalAddToExistingQueue (int)
void | signalDeleteItem ()
void | signalEscapePreview ()
void | signalGotoAlbumAndItem (const ItemInfo &)
void | signalGotoDateAndItem (const ItemInfo &)
void | signalGotoTagAndItem (int)
void | signalNextItem ()
void | signalOpenGeolocationMap ()
void | signalPopupTagsView ()
void | signalPrevItem ()
void | signalViewModeChanged ()
void | signalZoomFactorChanged (double)

## Public Member Functions
| StackedView (QWidget *const parent=nullptr)
void | decreaseZoom ()
void | fitToWindow ()
DigikamItemView * | imageIconView () const
ItemPreviewView * | imagePreviewView () const
void | increaseZoom ()
bool | isInAbstractMode () const
bool | isInMultipleFileMode () const
bool | isInSingleFileMode () const
| Single-file mode is image preview or media player, multi-file is icon view or map, abstract modes do not handle files (welcome page)
MapWidgetView * | mapWidgetView () const
bool | maxZoom ()
bool | minZoom ()
void | previewLoaded ()
void | setDockArea (QMainWindow *)
void | setPreviewItem (const ItemInfo &info=ItemInfo(), const ItemInfo &previous=ItemInfo(), const ItemInfo &next=ItemInfo())
void | setViewMode (const StackedViewMode mode, bool focus=false)
void | setZoomFactor (double z)
void | setZoomFactorSnapped (double z)
TableView * | tableView () const
ItemThumbnailBar * | thumbBar () const
ThumbBarDock * | thumbBarDock () const
void | toggleFitToWindowOr100 ()
TrashView * | trashView () const
StackedViewMode | viewMode () const
double | zoomFactor ()
double | zoomMax ()
double | zoomMin ()
void | zoomTo100Percents ()